classification
Title: Patches to rename Queue module to queue
Type: Stage:
Components: 2to3 (2.x to 3.x conversion tool), Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: alexandre.vassalotti, brett.cannon, collinwinter, georg.brandl, paulsmith
Priority: normal Keywords: patch

Created on 2007-08-23 22:13 by paulsmith, last changed 2008-05-13 19:24 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
rename-queue.diff paulsmith, 2007-08-23 22:13
rename-queue-fix-imports.diff paulsmith, 2007-08-23 22:14
queue-import-fixer.patch alexandre.vassalotti, 2007-12-04 01:46
queue-rename-documentation.patch alexandre.vassalotti, 2007-12-04 01:46
queue-rename-lib-and-tests.patch alexandre.vassalotti, 2007-12-04 01:46
queue-rename-misc.patch alexandre.vassalotti, 2007-12-04 01:47
Messages (5)
msg55230 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-23 22:13
Renamed Lib/Queue.py to Lib/queue.py.
msg55231 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-23 22:14
Patches 2to3/fixes/fix_imports.py.

Note that patch to Lib doesn't include `svn mv Lib/Queue.py
Lib/queue.py` (issue reporter without commit privileges).
msg58170 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-04 01:46
Thank you, Paul, for the patches.

I reviewed the patches and improved them. Here the list of changes:
   - Added unit test for the import fixers.
   - Renamed Lib/Queue.py to Lib/queue.py.
   - Updated Tools/webchecker/wsgui.py.
   - Updated the documentation.

Hopefully, the patches won't get out of date by the time we do the
library reorganization.
msg58201 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2007-12-04 19:32
Yes, thanks for the patches, Paul!

Guido sent out an email today saying that the reorg will probably be the
main focus of the next Py3K release after 3.0a2.  So hopefully they
won't go too stale.

And I just realized it might end up being best to roll Queue into
threading or collections.  Probably won't know until it actually
happens.  =)
msg66795 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-13 19:24
Queue has already been renamed in the meantime.
History
Date User Action Args
2008-05-13 19:24:21georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: out of date
messages: + msg66795
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-12-04 19:32:52brett.cannonsetassignee: brett.cannon -> collinwinter
messages: + msg58201
nosy: + collinwinter
2007-12-04 01:48:55alexandre.vassalottisetassignee: collinwinter -> brett.cannon
nosy: - collinwinter
2007-12-04 01:47:13alexandre.vassalottisetfiles: + queue-rename-misc.patch
2007-12-04 01:46:52alexandre.vassalottisetfiles: + queue-rename-lib-and-tests.patch
2007-12-04 01:46:35alexandre.vassalottisetfiles: + queue-rename-documentation.patch
assignee: brett.cannon -> collinwinter
nosy: + collinwinter
2007-12-04 01:46:13alexandre.vassalottisetfiles: + queue-import-fixer.patch
versions: + Python 3.0, - Python 2.6
nosy: + alexandre.vassalotti, brett.cannon
messages: + msg58170
assignee: brett.cannon
keywords: + py3k
2007-09-17 08:30:29jafosetpriority: normal
2007-09-06 18:01:34collinwintersetcomponents: + 2to3 (2.x to 3.x conversion tool)
2007-09-02 20:07:42loewissetkeywords: + patch
2007-08-23 22:14:57paulsmithsetfiles: + rename-queue-fix-imports.diff
messages: + msg55231
2007-08-23 22:13:50paulsmithcreate